/**
 ****************************************************************************************
 *
 * @file app_audio.h
 *
 * @brief SPS Application entry point
 *
 * Copyright (C) RivieraWaves 2009-2012
 *
 * $Rev: $
 *
 ****************************************************************************************
 */

#ifndef APP_SPSS_H_
#define APP_SPSS_H_

/**
 ****************************************************************************************
 * @addtogroup APP
 * @ingroup RICOW
 *
 * @brief SPS Application entry point.
 *
 * @{
 ****************************************************************************************
 */


/*
 * INCLUDE FILES
 ****************************************************************************************
 */
#include "rwble_config.h"
#include <stdint.h>          // standard integer definition
#include <co_bt.h>
#include "sps_server.h"
/*
 * STRUCTURES
 ****************************************************************************************
 */

/*
 * GLOBAL VARIABLE DECLARATION
 ****************************************************************************************
 */

/*
 * FUNCTION DECLARATIONS
 ****************************************************************************************
 */

void app_sps_create_db(void);

/**
 ****************************************************************************************
 * @brief Initialize sps application
 ****************************************************************************************
 */
void app_sps_init(void);
 
/**
 ****************************************************************************************
 * @brief Enable the the notifcation of the SPS or enable the host to set it in discovery mode
 ****************************************************************************************
 */
void app_sps_enable(void);

/**
 ****************************************************************************************
 * @brief Request data transmission over Bluetooth
 ****************************************************************************************
*/
void app_init_ble_tx(void);

/**
 ****************************************************************************************
 * @brief Send flow control state over Bluetooth
 ****************************************************************************************
*/
void app_send_ble_flowctrl(uint8_t flowcontrol);

/// @} APP

#endif // APP_SPSS_H_
